Add Automation Queue
curl --request POST \
--url https://api.duvo.ai/v2/automations/{automation_id}/queues/{case_queue_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/automations/{automation_id}/queues/{case_queue_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/automations/{automation_id}/queues/{case_queue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current": {
"automation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ai_description": "<string>",
"ai_summary": "<string>",
"overview_generated_at": "<string>",
"agent_count": 0,
"queue_count": 0,
"trigger_count": 0,
"agents": [
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"queues": [
{
"case_queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"name": "<string>",
"description": "<string>"
}
],
"triggers": [
{
"automation_trigger_id": null,
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_slug": "<string>",
"trigger_type": "<string>",
"enabled": true,
"filter_config": {}
}
],
"schedules": [
{
"automation_schedule_id": null,
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"cron": "<string>",
"frequency": "hourly",
"time": "<string>",
"timezone": "<string>",
"day": "monday",
"day_of_month": 16,
"task": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Automations
Add Automation Queue
Add a queue to an automation on a team that changes its automations without revisions. The queue must not already belong to another automation. Adding a queue that is already a member succeeds unchanged.
POST
/
v2
/
automations
/
{automation_id}
/
queues
/
{case_queue_id}
Add Automation Queue
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Automation ID
Queue ID
Response
Default Response
The automation's setup after the change
Show child attributes
Show child attributes
Was this page helpful?